Subject: Re: [RFC] git checkout $tree -- $path always rewrites files

From: Jeff King <[email-masked]>
Date: Fri, 7 Nov 2014 14:17:45 -0500

On Fri, Nov 07, 2014 at 09:14:42AM -0800, Junio C Hamano wrote:

> Jeff King <[email-masked]> writes:
> 
> > Is there a reason that we don't use this diff technique for checkout?
> 
> I suspect that the reasons are probably mixture of these:
> 
>  (1) the code path may descend from checkout-index and predates the
>      in-core diff machinery;
> 
>  (2) in the context of checkout-index, it was more desirable to be
>      able to say "I want the contents on the filesystem, even if you
>      think I already have it there, as you as a new software are
>      likely to be wrong and I know better"; or
> 
>  (3) it was easier to code that way ;-)
> 
> I do not see there is any reason not to do what you suggest.

OK. It's not very much code (and can mostly be lifted from git-reset),
so I may take a stab at it.

-Peff